{% set isAllowed = is_granted('ROLE_SERVICE_COMMITTEE')%}
{% extends 'base.html.twig' %}
{% block header_title %}Groupes de prédication{% endblock %}
{% block header_subtitle %}Liste des groupes de prédication de l'assemblée locale.{% endblock %}
{% block head_content %}
    {% if isAllowed  %}
        <div class="toggle-wrap nk-block-tools-toggle">
            <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
            <div class="toggle-expand-content" data-content="pageMenu">
                <ul class="nk-block-tools g-3">
                    <li class="nk-block-tools-opt"><a href="{{ path('app_fieldservice_servicegroup_create') }}" class="btn btn-primary"><em class="icon ni ni-grid-add-c"></em><span>Ajouter un groupe</span></a></li>
                </ul>
            </div>
        </div>
    {% endif %}

{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Groupes</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Nom</span></div>
                        <div class="nk-tb-col tb-col"><span>Responsable</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Adjoint</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Nombre de proclamateurs</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for group in groups %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                                <div class="user-card">
                                    <div class="user-name">
                                        <span class="tb-lead"><a href="{{ path('app_fieldservice_servicegroup_show', {'id': group.id}) }}">{{ group.name }}</a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col">
                                <div>
                                    <div>
                                        <span>{{ group.overseer }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <div>
                                    <div>
                                        <span>{{ group.assistant }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <div>
                                    <div>
                                        <span>{{ group.publishers|length }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_fieldservice_servicegroup_show', {'id': group.id}) }}">Afficher</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
